TERMINATOR_CONFIG(5)

NAME
~/.config/terminator/config - the config file for Terminator terminal emulator.

DESCRIPTION
This manual page documents briefly the Terminator config file. Terminator manages its configuration file via the ConfigObj library to combine flexibility with clear, human editable files. As of version 0.90, Terminator offers a full GUI preferences editor which automatically saves its config file so you don't need to write a config file by hand.

FILE LOCATION
Normally the config file will be ~/.config/terminator/config, but it may be overridden with $XDG_CONFIG_HOME (in which case it will be $XDG_CONFIG_HOME/terminator/config)

FILE FORMAT
This is what a Terminator config file should look like:
  # This is a comment
  [global_config]
    focus = system
  [keybindings]
    full_screen = <Ctrl><Shift>F11
  [profiles]
    [[default]]
      font = Fixed 10
      background_color = "#000000" # A comment
      foreground_color = "#FFFFFF" # Note that hex colour values must be quoted
      scrollback_lines = '500' #More comment. Single quotes are valid too
      cursor_blink = True
      custom_command = "echo \"foo#bar\"" #Final comment - this will work as expected. Below are the individual sections that can exist in the config file:

global_config
These are the options Terminator currently supports in the global_config section:

dbus
    Control whether or not Terminator will load its DBus server. When this server is loaded, running Terminator multiple times will cause the first Terminator process to open additional windows. If this configuration item is set to False, or the python dbus module is unavailable, running Terminator multiple times will run a separate Terminator process for each invocation. Default value: True

focus
    Control how focus is given to terminals. 'click' means the focus only moves to a terminal after you click in it. 'sloppy' means the focus will follow the mouse pointer. 'system' means the focus will match that used by a GNOME window manager. Default value: click

handle_size
    Controls the width of the separator between terminals. Anything outside the range 0-20 (inclusive) will be ignored and use your default theme value. Default value: -1

geometry_hinting
    If True the window will resize in step with font sizes, if False it will follow pixels Default value: False

window_state
    When set to 'normal' the Terminator window opens normally. 'maximise' opens the window in a maximised state, 'fullscreen' in a fullscreen state and 'hidden' will make it not shown by default. Default value: normal

borderless (boolean)
    Controls whether the Terminator window will be started without window borders Default value: False

tab_position
    Defines where tabs are placed. Can be any of: top, left, right, bottom. If this is set to "hidden", the tab bar will not be shown. Note that hiding the tab bar is very confusing and not recommended. Default value: top

broadcast_default
    Defines default broadcast behavior. Can be any of: all, group, off. Default value: group

close_button_on_tab (boolean)
    If set to True, tabs will have a close button on them. Default value: True

hide_tabbar (boolean)
    If set to True, the tab bar will be hidden. This means there will be no visual indication of either how many tabs there are, or which one you are on. Be warned that this can be very confusing and hard to use. NOTE: THIS OPTION IS DEPRECATED, USE tab_position INSTEAD Default value: False

scroll_tabbar (boolean)
    If set to True, the tab bar will not fill the width of the window. The titlebars of the tabs will only take as much space as is necessary for the text they contain. Except, that is, if the tabs no longer fit the width of the window - in that case scroll buttons will appear to move through the tabs. Default value: False

try_posix_regexp (boolean)
    If set to True, URL matching regexps will try to use POSIX style first, and fall back on GNU style on failure. If you are on Linux but URL matches don't work, try setting this to True. If you are not on Linux, but you get VTE warnings on startup saying "Error compiling regular expression", set this to False to silence them (they are otherwise harmless). Default value: False on Linux, True otherwise.

use_custom_url_handler (boolean)
    If set to True, URL handling will be given over entirely to the program specified by 'custom_url_handler'. Default value: False

custom_url_handler (string)
    Path to a program which accepts a URI as an argument and does something relevant with it. This option is ignored unless 'use_custom_url_handler' is set to True. Default value: unset

disable_real_transparency (string)
    If this is set to True, Terminator will never try to use 'real' transparency if your windowing environment supports it. Instead it will use 'fake' transparency where a background image is shown, but other windows are not. Default value: False

title_transmit_fg_color
    Sets the colour of the text shown in the titlebar of the active terminal. Default value: '#FFFFFF'

title_transmit_bg_color
    Sets the colour of the background of the titlebar in the active terminal. Default value: '#C80003'

title_receive_fg_color
    Sets the colour of the text shown in the titlebar of any terminal that will receive input from the active terminal. Default value: '#FFFFFF'

title_receive_bg_color
    Sets the colour of the background of the titlebar of any terminal that will receive input from the active terminal. Default value: '#0076C9'

title_inactive_fg_color
    Sets the colour of the text shown in the titlebar of any terminal that will not receive input from the active terminal. Default value: '#000000'

title_inactive_bg_color
    Sets the colour of the background of the titlebar of any terminal that will not receive input from the active terminal. Default value: '#C0BEBF'

title_use_system_font (boolean)
    Whether or not to use the GNOME default proportional font for titlebars. Default value: True

title_font (string)
    An Pango font name. Examples are "Sans 12" or "Monospace Bold 14". Default value: "Sans 9"

inactive_color_offset
    Controls how much to reduce the colour values of fonts in terminals that do not have focus. It is a simple multiplication factor. A font colour that was RGB(200,200,200) with an inactive_color_offset of 0.5 would set inactive terminals to RGB(100,100,100).

always_split_with_profile
    Controls whether splits/tabs will continue to use the profile of their peer terminal. If set to False, they will always use the default profile. Default value: False

putty_paste_style (boolean)
    If set to True, right-click will paste the Primary selection, middle-click will popup the context menu. Default value: False

smart_copy (boolean)
    If set to True, and there is no selection, the shortcut is allowed to pass through. This is useful for overloading Ctrl-C to copy a selection, or send the SIGINT to the current process if there is no selection. If False the shortcut does not pass through at all, and the SIGINT does not get sent. Default value: True

enabled_plugins
    A list of plugins which should be loaded by default. All other plugin classes will be ignored. The default value includes two plugins related to Launchpad, which are enabled by default to provide continuity with earlier releases where these were the only substantial plugins available, and all plugins were loaded by default. Default value: "LaunchpadBugURLHandler, LaunchpadCodeURLHandler"

keybindings
These are the options Terminator currently supports in the keybindings section:

zoom_in
    Make font one unit larger. Default value: <Ctrl>plus

zoom_out
    Make font one unit smaller. Default value: <Ctrl>minus

zoom_normal
    Return font to pre-configured size. Default value: <Ctrl>0

new_tab
    Open a new tab. Default value: <Ctrl><Shift>T

cycle_next
    Cycle forwards through the tabs. Default value: <Ctrl>Tab

cycle_prev
    Cycle backwards through the tabs. Default value: <Ctrl><Shift>Tab go_next Move cursor focus to the next tab. Default value: <Ctrl><Shift>N

go_prev
    Move cursor focus to the previous tab. Default value: <Ctrl><Shift>P

go_up
    Move cursor focus to the terminal above. Default value: <Alt>Up

go_down
    Move cursor focus to the terminal below. Default value: <Alt>Down

go_left
    Move cursor focus to the terminal to the left. Default value: <Alt>Left

go_right
    Move cursor focus to the terminal to the right. Default value: <Alt>Right

rotate_cw
    Rotate terminals clockwise. Default value: <Super>R

rotate_ccw
    Rotate terminals counter-clockwise. Default value: <Super><Shift>R

split_horiz
    Split the current terminal horizontally. Default value: <Ctrl><Shift>O

split_vert
    Split the current terminal vertically. Default value: <Ctrl><Shift>E

close_term
    Close the current terminal. Default value: <Ctrl><Shift>W

copy
    Copy the currently selected text to the clipboard. Default value: <Ctrl><Shift>C

paste
    Paste the current contents of the clipboard. Default value: <Ctrl><Shift>V

toggle_scrollbar
    Show/Hide the scrollbar. Default value: <Ctrl><Shift>S

search
    Search for text in the terminal scrollback history. Default value: <Ctrl><Shift>F

close_window
    Quit Terminator. Default value: <Ctrl><Shift>Q

resize_up
    Move the parent dragbar upwards. Default value: <Ctrl><Shift>Up

resize_down
    Move the parent dragbar downwards. Default value: <Ctrl><Shift>Down

resize_left
    Move the parent dragbar left. Default value: <Ctrl><Shift>Left

resize_right
    Move the parent dragbar right. Default value: <Ctrl><Shift>Right

move_tab_right
    Swap the current tab with the one to its right. Default value: <Ctrl><Shift>Page_Down

move_tab_left
    Swap the current tab with the one to its left. Default value: <Ctrl><Shift>Page_Up

toggle_zoom
    Zoom/Unzoom the current terminal to fill the window. Default value: <Ctrl><Shift>X

scaled_zoom
    Zoom/Unzoom the current terminal to fill the window, and scale its font. Default value: <Ctrl><Shift>Z

next_tab
    Move to the next tab. Default value: <Ctrl>Page_Down

prev_tab
    Move to the previous tab. Default value: <Ctrl>Page_Up

switch_to_tab_1 - switch_to_tab_10
    Keys to switch directly to the numbered tab. Note that <Alt><Shift>1 may need to be provided as <Alt>! or similar, depending on your keyboard layout. Default value: Unbound

edit_window_title
    Edit the current active window's title Default value: <Ctrl><Alt>W

edit_tab_title
    Edit the currently active tab's title Default value: <Ctrl><Alt>A

edit_terminal_title
    Edit the currently active terminal's title Default value: <Ctrl><Alt>X

full_screen
    Toggle the window to a fullscreen window. Default value: F11

reset
    Reset the terminal state. Default value: <Ctrl><Shift>R

reset_clear
    Reset the terminal state and clear the terminal window. Default value: <Ctrl><Shift>G

hide_window
    Toggle visibility of the Terminator window. Default value: <Ctrl><Shift><Alt>a

group_all
    Group all terminals together so input sent to one goes to all of them. Default value: <Super>g

ungroup_all
    Remove grouping from all terminals. Default value: <Super><Shift>G

group_tab
    Group all terminals in the current tab together so input sent to one goes to all of them. Default value: <Super>t

ungroup_tab
    Remove grouping from all terminals in the current tab. Default value: <Super><Shift>T

new_window
    Open a new Terminator window as part of the existing process. Default value: <Ctrl><Shift>I

new_terminator
    Spawn a new instance of Terminator. Default value: <Super>i

profiles
These are the options Terminator currently supports in the profiles section. Each profile should be its own subsection with a header in the format [[name]] allow_bold (boolean) If true, allow applications in the terminal to make text boldface. Default value: True

audible_bell (boolean)
    If true, make a noise when applications send the escape sequence for the terminal bell. Default value: False

visible_bell (boolean)
    If true, flash the terminal when applications send the escape sequence for the terminal bell. Default value: False

urgent_bell (boolean)
    If true, set the window manager "urgent" hint when applications send the escale sequence for the terminal bell. Any keypress will cancel the urgent status. Default value: False

icon_bell (boolean)
    If true, briefly show a small icon on the terminal title bar for the terminal bell. Default value: True

force_no_bell (boolean)
    If true, don't make a noise or flash. All terminal bells will be ignored. Default value: False

use_theme_colors
    If true, ignore the configured colours and use values from the theme instead. Default value: False

bold_is_bright
    If true, show bold text with increased brightness. If false, then text boldness can be controlled by applications independently from the text brightness. Default value: False

background_color
    Default colour of terminal background, as a colour specification (can be HTML-style hex digits, or a colour name such as "red"). Note: You may need to set use_theme_colors=False to force this setting to take effect. Default value: '#000000'

background_darkness
    A value between 0.0 and 1.0 indicating how much to darken the background image. 0.0 means no darkness, 1.0 means fully dark. If the terminal is set to transparent, this setting controls how transparent it is. 0.0 means fully transparent, 1.0 means fully opaque. Default value: 0.5

background_type
    Type of terminal background. May be "solid" for a solid colour or "transparent" for full transparency in compositing window managers. Default value: solid

backspace_binding
    Sets what code the backspace key generates. Possible values are "ascii-del" for the ASCII DEL character, "control-h" for Control-H (AKA the ASCII BS character), "escape-sequence" for the escape sequence typically bound to backspace or delete. "ascii-del" is normally considered the correct setting for the Backspace key. Default value: ascii-del

delete_binding
    Sets what code the delete key generates. Possible values are "ascii-del" for the ASCII DEL character, "control-h" for Control-H (AKA the ASCII BS character), "escape-sequence" for the escape sequence typically bound to backspace or delete. "escape-sequence" is normally considered the correct setting for the Delete key. Default value: escape-sequence

color_scheme (boolean)
    If specified this sets foreground_color and background_color to pre-set values. Possible options are 'grey_on_black', 'black_on_yellow', 'black_on_white', 'white_on_black', 'green_on_black', 'orange_on_black', 'ambience', 'solarized_dark', 'solarized_light'. Default value: grey_on_black

cursor_blink (boolean)
    Controls if the cursor blinks. Default value: True

cursor_color
    Default colour of cursor, as a colour specification (can be HTML-style hex digits, or a colour name such as "red"). Default value: Current value of foreground_color

cursor_shape
    Default shape of cursor. Possibilities are "block", "ibeam", and "underline". Default value: block

term
    This translates into the value that will be set for TERM in the environment of your terminals. Default value: xterm-256color

colorterm
    This translates into the value that will be set for COLORTERM in the environment of your terminals. Default value: truecolor

use_system_font
    Whether or not to use the GNOME default monospace font for terminals. Default value: True

font
    An Pango font name. Examples are "Sans 12" or "Monospace Bold 14". Default value: Mono 10

foreground_color
    Default colour of text in the terminal, as a colour specification (can be HTML-style hex digits, or a colour name such as "red"). Note: You may need to set use_theme_colors=False to force this setting to take effect. Default value: '#AAAAAA'

scrollbar_position
    Where to put the terminal scrollbar. Possibilities are "left", "right", and "disabled". Default value: right

show_titlebar
    If true, a titlebar will be drawn for each terminal which shows the current title of that terminal. Default value: True

scroll_background (boolean)
    If true, scroll the background image with the foreground text; if false, keep the image in a fixed position and scroll the text above it. Default value: True

scroll_on_keystroke (boolean)
    If true, pressing a key jumps the scrollbar to the bottom. Default value: True

scroll_on_output (boolean)
    If true, whenever there's new output the terminal will scroll to the bottom. Default value: False

scrollback_lines
    Number of scrollback lines to keep around. You can scroll back in the terminal by this number of lines; lines that don't fit in the scrollback are discarded. Warning: with large values, rewrapping on resize might be slow. Default value: 500

scrollback_infinite
    If this is set to True, scrollback_lines will be ignored and VTE will keep the entire scrollback history. Default value: False

focus_on_close
    Sets which terminal should get the focus when another terminal is closed. Values can be "prev", "next" or "auto". Using "auto", if the closed terminal is within a split window, the focus will be on the sibling terminal rather than another tab. Default value: auto

exit_action
    Possible values are "close" to close the terminal, and "restart" to restart the command. Default value: close

palette
    Terminals have a 16-colour palette that applications inside the terminal can use. This is that palette, in the form of a colon-separated list of colour names. Colour names should be in hex format e.g. "#FF00FF".

word_chars
    When selecting text by word, sequences of these characters are also considered members of single words. The hyphen and alphanumerics do not need to be specified. Ranges can be given as "A-Z". Default value: ',./?%&#:_'

mouse_autohide (boolean)
    Controls whether the mouse cursor should be hidden while typing. Default value: True

use_custom_command (boolean)
    If True, the value of custom_command will be used instead of the default shell. Default value: False

custom_command
    Command to execute instead of the default shell, if use_custom_command is set to True. Default value: Nothing

http_proxy
    URL of an HTTP proxy to use, e.g. http://proxy.lan:3128/ Default value: Nothing

encoding
    Character set to use for the terminal. Default value: UTF-8

copy_on_selection (boolean)
    If set to True, text selections will be automatically copied to the clipboard, in addition to being made the Primary selection. Default value: False

rewrap_on_resize (boolean)
    If True, the terminal contents are rewrapped when the terminal's width changes. Warning: This might be slow if you have a huge scrollback buffer. Default value: True

layouts
This describes the layouts section of the config file. Like with the profiles, each layout should be defined as a sub-section with a name formatted like: [[name]]. Each object in a layout is a named sub-sub-section with various properties: [layouts]
  [[default]]
    [[window0]]
      type = Window
    [[child1]]
      type = Terminal
      parent = window0 Window objects may not have a parent attribute. Every other object must specify a parent. This is how the structure of the window is determined.

plugins
Terminator plugins can add their own configuration to the config file, and will appear as a sub-section. Please refer to the documentation of individual plugins for more information.

SEE ALSO

terminator(1), http://www.voidspace.org.uk/python/configobj.html